Note
Access to this page requires authorization. You can try signing in or changing directories.
Access to this page requires authorization. You can try changing directories.
Create a dimension line object in Business Central.
HTTP request (v1.0)
Replace the URL prefix for Business Central depending on environment following the guideline.
POST businesscentralPrefix/companies({id})/dimensionLines
Request headers (v1.0)
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
Request body (v1.0)
In the request body, supply a JSON representation of a dimensionLines object.
Response (v1.0)
If successful, this method returns 201 Created response code and a dimensionLines object in the response body.
Example (v1.0)
Request
Here is an example of a request.
POST https://{businesscentralPrefix}/api/v1.0/companies({id})/dimensionLines
Content-type: application/json
{
"parentId" : "parentId-value",
"id" : "id-value",
"code" : "DEPARTMENT",
"valueId" : "valueId-value",
"valueCode" : "SALES"
}
Response
HTTP/1.1 201 Created
Content-type: application/json
{
"parentId" : "parentId-value",
"id" : "id-value",
"code" : "DEPARTMENT",
"displayName": "Department",
"valueId" : "valueId-value",
"valueCode" : "SALES",
"valueDisplayName": "Production"
}
Related information
Tips for working with the APIs
Dimension Line
Get Dimension Line
Patch Dimension Line
Delete Dimension Line